diff options
author | Ed Warnicke <eaw@cisco.com> | 2016-06-01 10:00:06 -0500 |
---|---|---|
committer | C.J. Collier <cjcollier@linuxfoundation.org> | 2016-06-07 17:14:38 +0000 |
commit | b927465d4bfb23a63caa03034bf52204f05b9c59 (patch) | |
tree | bbda288c71b6763df5a8a0530e885a23ad0e0a13 /jjb | |
parent | af186d8ef96a2547610d5a04b25c776ec41504c5 (diff) |
Get CSIT branch from build-root/scripts/csit-test-branch
If build-root/scripts/csit-test-branch exists, run
it to get the CSIT branch from which to run CSIT
tests. Otherwise, default to csit-verified.
Related to patches vpp patches:
https://gerrit.fd.io/r/#/c/1343/ (master branch)
https://gerrit.fd.io/r/#/c/1345/ (stable/1606 branch)
Change-Id: I1146c322c1948076ead4639263f9b25e965009f2
Signed-off-by: Ed Warnicke <eaw@cisco.com>
Diffstat (limited to 'jjb')
-rw-r--r-- | jjb/vpp/include-raw-vpp-csit-functional.sh | 15 | ||||
-rw-r--r-- | jjb/vpp/include-raw-vpp-csit-verify-perf.sh | 13 |
2 files changed, 27 insertions, 1 deletions
diff --git a/jjb/vpp/include-raw-vpp-csit-functional.sh b/jjb/vpp/include-raw-vpp-csit-functional.sh index 93be0adbc..33eef0f38 100644 --- a/jjb/vpp/include-raw-vpp-csit-functional.sh +++ b/jjb/vpp/include-raw-vpp-csit-functional.sh @@ -1,8 +1,21 @@ #!/bin/bash set -xeu -o pipefail +# Get CSIT branch from which to test from +# running build-root/scripts/csit-test-branch +if [ -x build-root/scripts/csit-test-branch ]; then + CSIT_BRANCH=`build-root/scripts/csit-test-branch`; +fi + # Clone csit and start tests -git clone https://gerrit.fd.io/r/csit --branch csit-verified +git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH:-csit-verified} + +# If the git clone fails, complain clearly and exit +if [ $? != 0 ]; then + echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH:-csit-verified}" + echo "No such branch ${CSIT_BRANCH:-csit-verified} in https://gerrit.fd.io/r/csit" + exit +fi cp build-root/*.deb csit/ cd csit diff --git a/jjb/vpp/include-raw-vpp-csit-verify-perf.sh b/jjb/vpp/include-raw-vpp-csit-verify-perf.sh index f24692de9..a31426000 100644 --- a/jjb/vpp/include-raw-vpp-csit-verify-perf.sh +++ b/jjb/vpp/include-raw-vpp-csit-verify-perf.sh @@ -3,9 +3,22 @@ set -xeu -o pipefail export TEST_TAG="PERFTEST_${TYPE^^}" +# Get CSIT branch from which to test from +# running build-root/scripts/csit-test-branch +if [ -x build-root/scripts/csit-test-branch ]; then + CSIT_BRANCH=`build-root/scripts/csit-test-branch`; +fi + # Clone csit and start tests git clone --depth 1 https://gerrit.fd.io/r/csit --branch csit-verified +# If the git clone fails, complain clearly and exit +if [ $? != 0 ]; then + echo "Failed to run: git clone https://gerrit.fd.io/r/csit --branch ${CSIT_BRANCH:-csit-verified}" + echo "No such branch ${CSIT_BRANCH:-csit-verified} in https://gerrit.fd.io/r/csit" + exit +fi + cp build-root/*.deb csit/ cd csit # execute csit bootstrap script if it exists |